## org.gnu.pango
Class LayoutLine

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.LayoutLine

public class LayoutLine
extends Boxed

The PangoLayoutLine structure represents one of the lines resulting from laying out a paragraph via PangoLayout. PangoLayoutLine structures are obtained by calling `Layout.getLine(int)` and are only valid until the text, attributes, or settings of the parent PangoLayout are modified.

Routines for rendering PangoLayout objects are provided in code specific to each rendering system.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`protected` `LayoutLine(Handle handle)`

Method Summary
`protected static void` `pango_layout_line_get_extents(Handle line, Handle inkRect, Handle logicalRect)`
`protected static void` `pango_layout_line_get_pixel_extents(Handle line, Handle inkRect, Handle logicalRect)`
`protected static void` `pango_layout_line_get_x_ranges(Handle line, int startIndex, int endIndex, int[] ranges, int[] numRanges)`
`protected static void` `pango_layout_line_index_to_x(Handle line, int index, boolean trailing, int[] xPos)`
`protected static void` `pango_layout_line_ref(Handle line)` BEGINNING OF JNI CODE
`protected static void` `pango_layout_line_unref(Handle line)`
`protected static boolean` `pango_layout_line_x_to_index(Handle line, int xPos, int[] index, int[] trailing)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutLine

    protected LayoutLine(Handle handle)

Method Detail

### pango_layout_line_ref

    protected static final void pango_layout_line_ref(Handle line)

  BEGINNING OF JNI CODE

### pango_layout_line_unref

    protected static final void pango_layout_line_unref(Handle line)

### pango_layout_line_x_to_index

    protected static final boolean pango_layout_line_x_to_index(Handle line,
                                                                int xPos,
                                                                int[] index,
                                                                int[] trailing)

### pango_layout_line_index_to_x

    protected static final void pango_layout_line_index_to_x(Handle line,
                                                             int index,
                                                             boolean trailing,
                                                             int[] xPos)

### pango_layout_line_get_x_ranges

    protected static final void pango_layout_line_get_x_ranges(Handle line,
                                                               int startIndex,
                                                               int endIndex,
                                                               int[] ranges,
                                                               int[] numRanges)

### pango_layout_line_get_extents

    protected static final void pango_layout_line_get_extents(Handle line,
                                                              Handle inkRect,
                                                              Handle logicalRect)

### pango_layout_line_get_pixel_extents

    protected static final void pango_layout_line_get_pixel_extents(Handle line,
                                                                    Handle inkRect,
                                                                    Handle logicalRect)